## org.apache.tools.ant.taskdefs.condition
Class IsSet

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.taskdefs.condition.IsSet

All Implemented Interfaces:
  Condition

public class IsSet
extends ProjectComponent
implements Condition

Condition that tests whether a given property has been set.

Since:
  Ant 1.5
Version:
  $Revision: 1.7 $
Author:
  Stefan Bodewig

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IsSet()`

Method Summary
`boolean` `eval()` Is this condition true?
`void` `setProperty(java.lang.String p)` Set the property attribute

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsSet

    public IsSet()

Method Detail

### setProperty

    public void setProperty(java.lang.String p)

  Set the property attribute

  Parameters:
    `p` - the property name

### eval

    public boolean eval()
                 throws BuildException

  Description copied from interface: `Condition`
  Is this condition true?

  Specified by:
    `eval` in interface `Condition`
  Returns:
    true if the property exists
  Throws:
    `BuildException` - if the property attribute is not set

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.